VkFramebufferCreateInfo Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkFramebufferCreateFlags | flags
VkRenderPass | renderPass
uint32_t | attachmentCount
const VkImageView * | pAttachments
uint32_t | width
uint32_t | height
uint32_t | layers

## Detailed Description

Definition at line 2241 of file vulkan.h.

## Field Documentation

## attachmentCount

uint32_t VkFramebufferCreateInfo::attachmentCount

Definition at line 2246 of file vulkan.h.

## flags

VkFramebufferCreateFlags VkFramebufferCreateInfo::flags

Definition at line 2244 of file vulkan.h.

## height

uint32_t VkFramebufferCreateInfo::height

Definition at line 2249 of file vulkan.h.

## layers

uint32_t VkFramebufferCreateInfo::layers

Definition at line 2250 of file vulkan.h.

## pAttachments

const VkImageView* VkFramebufferCreateInfo::pAttachments

Definition at line 2247 of file vulkan.h.

## pNext

const void* VkFramebufferCreateInfo::pNext

Definition at line 2243 of file vulkan.h.

## renderPass

VkRenderPass VkFramebufferCreateInfo::renderPass

Definition at line 2245 of file vulkan.h.

## sType

VkStructureType VkFramebufferCreateInfo::sType

Definition at line 2242 of file vulkan.h.

## width

uint32_t VkFramebufferCreateInfo::width

Definition at line 2248 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h